<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>

<body>
    <script>
        let newList = (i) => {
            let newUl = document.createElement('ul');
            document.body.appendChild(newUl);
            for (; i > 0; i--) {
                let newLi = document.createElement('li');
                newLi.innerHTML = prompt("enter text")
                newUl.appendChild(newLi);
            }


            let counter = document.createElement('div')
            document.body.appendChild(counter);

            let f = 9;
            var timerId = setInterval(function() {
                counter.innerHTML = ("Ваша кредитка ,будет Пуста через" + " " + f-- + "  second");
            }, 1000);


            setTimeout(function() {
                document.body.removeChild(newUl);
                document.body.removeChild(counter);
                clearInterval(timerId);;

            }, 10000);

        };
                
        newList(prompt("enter number"));
        
      

    </script>

</body>

</html>
